1#! /bin/sh
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/sh}
11## --------------------- ##
12## M4sh Initialization.  ##
13## --------------------- ##
14
15# Be Bourne compatible
16if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17  emulate sh
18  NULLCMD=:
19  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20  # is contrary to our usage.  Disable this feature.
21  alias -g '${1+"$@"}'='"$@"'
22elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23  set -o posix
24fi
25DUALCASE=1; export DUALCASE # for MKS sh
26
27# Support unset when possible.
28if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29  as_unset=unset
30else
31  as_unset=false
32fi
33
34
35# Work around bugs in pre-3.0 UWIN ksh.
36$as_unset ENV MAIL MAILPATH
37PS1='$ '
38PS2='> '
39PS4='+ '
40
41# NLS nuisances.
42for as_var in \
43  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45  LC_TELEPHONE LC_TIME
46do
47  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48    eval $as_var=C; export $as_var
49  else
50    $as_unset $as_var
51  fi
52done
53
54# Required to use basename.
55if expr a : '\(a\)' >/dev/null 2>&1; then
56  as_expr=expr
57else
58  as_expr=false
59fi
60
61if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62  as_basename=basename
63else
64  as_basename=false
65fi
66
67
68# Name of the executable.
69as_me=`$as_basename "$0" ||
70$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71	 X"$0" : 'X\(//\)$' \| \
72	 X"$0" : 'X\(/\)$' \| \
73	 .     : '\(.\)' 2>/dev/null ||
74echo X/"$0" |
75    sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76  	  /^X\/\(\/\/\)$/{ s//\1/; q; }
77  	  /^X\/\(\/\).*/{ s//\1/; q; }
78  	  s/.*/./; q'`
79
80
81# PATH needs CR, and LINENO needs CR and PATH.
82# Avoid depending upon Character Ranges.
83as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86as_cr_digits='0123456789'
87as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89# The user is always right.
90if test "${PATH_SEPARATOR+set}" != set; then
91  echo "#! /bin/sh" >conf$$.sh
92  echo  "exit 0"   >>conf$$.sh
93  chmod +x conf$$.sh
94  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95    PATH_SEPARATOR=';'
96  else
97    PATH_SEPARATOR=:
98  fi
99  rm -f conf$$.sh
100fi
101
102
103  as_lineno_1=$LINENO
104  as_lineno_2=$LINENO
105  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106  test "x$as_lineno_1" != "x$as_lineno_2" &&
107  test "x$as_lineno_3"  = "x$as_lineno_2"  || {
108  # Find who we are.  Look in the path if we contain no path at all
109  # relative or not.
110  case $0 in
111    *[\\/]* ) as_myself=$0 ;;
112    *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113for as_dir in $PATH
114do
115  IFS=$as_save_IFS
116  test -z "$as_dir" && as_dir=.
117  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118done
119
120       ;;
121  esac
122  # We did not find ourselves, most probably we were run as `sh COMMAND'
123  # in which case we are not to be found in the path.
124  if test "x$as_myself" = x; then
125    as_myself=$0
126  fi
127  if test ! -f "$as_myself"; then
128    { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130   { (exit 1); exit 1; }; }
131  fi
132  case $CONFIG_SHELL in
133  '')
134    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136do
137  IFS=$as_save_IFS
138  test -z "$as_dir" && as_dir=.
139  for as_base in sh bash ksh sh5; do
140	 case $as_dir in
141	 /*)
142	   if ("$as_dir/$as_base" -c '
143  as_lineno_1=$LINENO
144  as_lineno_2=$LINENO
145  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146  test "x$as_lineno_1" != "x$as_lineno_2" &&
147  test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
148	     $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149	     $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150	     CONFIG_SHELL=$as_dir/$as_base
151	     export CONFIG_SHELL
152	     exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153	   fi;;
154	 esac
155       done
156done
157;;
158  esac
159
160  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161  # uniformly replaced by the line number.  The first 'sed' inserts a
162  # line-number line before each line; the second 'sed' does the real
163  # work.  The second script uses 'N' to pair each line-number line
164  # with the numbered line, and appends trailing '-' during
165  # substitution so that $LINENO is not a special case at line end.
166  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167  # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
168  sed '=' <$as_myself |
169    sed '
170      N
171      s,$,-,
172      : loop
173      s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174      t loop
175      s,-$,,
176      s,^['$as_cr_digits']*\n,,
177    ' >$as_me.lineno &&
178  chmod +x $as_me.lineno ||
179    { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181   { (exit 1); exit 1; }; }
182
183  # Don't try to exec as it changes $[0], causing all sort of problems
184  # (the dirname of $[0] is not the place where we might find the
185  # original and so on.  Autoconf is especially sensible to this).
186  . ./$as_me.lineno
187  # Exit status is that of the last command.
188  exit
189}
190
191
192case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193  *c*,-n*) ECHO_N= ECHO_C='
194' ECHO_T='	' ;;
195  *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196  *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
197esac
198
199if expr a : '\(a\)' >/dev/null 2>&1; then
200  as_expr=expr
201else
202  as_expr=false
203fi
204
205rm -f conf$$ conf$$.exe conf$$.file
206echo >conf$$.file
207if ln -s conf$$.file conf$$ 2>/dev/null; then
208  # We could just check for DJGPP; but this test a) works b) is more generic
209  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210  if test -f conf$$.exe; then
211    # Don't use ln at all; we don't have any links
212    as_ln_s='cp -p'
213  else
214    as_ln_s='ln -s'
215  fi
216elif ln conf$$.file conf$$ 2>/dev/null; then
217  as_ln_s=ln
218else
219  as_ln_s='cp -p'
220fi
221rm -f conf$$ conf$$.exe conf$$.file
222
223if mkdir -p . 2>/dev/null; then
224  as_mkdir_p=:
225else
226  test -d ./-p && rmdir ./-p
227  as_mkdir_p=false
228fi
229
230as_executable_p="test -f"
231
232# Sed expression to map a string onto a valid CPP name.
233as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235# Sed expression to map a string onto a valid variable name.
236as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239# IFS
240# We need space, tab and new line, in precisely that order.
241as_nl='
242'
243IFS=" 	$as_nl"
244
245# CDPATH.
246$as_unset CDPATH
247
248exec 6>&1
249
250# Open the log real soon, to keep \$[0] and so on meaningful, and to
251# report actual input values of CONFIG_FILES etc. instead of their
252# values after options handling.  Logging --version etc. is OK.
253exec 5>>config.log
254{
255  echo
256  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257## Running $as_me. ##
258_ASBOX
259} >&5
260cat >&5 <<_CSEOF
261
262This file was extended by $as_me, which was
263generated by GNU Autoconf 2.59.  Invocation command line was
264
265  CONFIG_FILES    = $CONFIG_FILES
266  CONFIG_HEADERS  = $CONFIG_HEADERS
267  CONFIG_LINKS    = $CONFIG_LINKS
268  CONFIG_COMMANDS = $CONFIG_COMMANDS
269  $ $0 $@
270
271_CSEOF
272echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273echo >&5
274config_files=" icudefs.mk Makefile data/icupkg.inc config/Makefile.inc data/Makefile stubdata/Makefile common/Makefile i18n/Makefile layout/Makefile layoutex/Makefile io/Makefile extra/Makefile extra/uconv/Makefile extra/scrptrun/Makefile tools/Makefile tools/ctestfw/Makefile tools/toolutil/Makefile tools/makeconv/Makefile tools/genrb/Makefile tools/genuca/Makefile tools/genccode/Makefile tools/gencmn/Makefile tools/gencnval/Makefile tools/genctd/Makefile tools/gennames/Makefile tools/gentest/Makefile tools/gennorm/Makefile tools/genprops/Makefile tools/gencase/Makefile tools/genbidi/Makefile tools/genpname/Makefile tools/genbrk/Makefile tools/gensprep/Makefile tools/icupkg/Makefile tools/icuswap/Makefile tools/pkgdata/Makefile tools/tzcode/Makefile test/Makefile test/compat/Makefile test/testdata/Makefile test/testdata/pkgdata.inc test/hdrtst/Makefile test/intltest/Makefile test/cintltst/Makefile test/iotest/Makefile test/letest/Makefile samples/Makefile samples/date/Makefile samples/cal/Makefile samples/layout/Makefile common/unicode/platform.h"
275config_headers=" common/icucfg.h"
276
277ac_cs_usage="\
278\`$as_me' instantiates files from templates according to the
279current configuration.
280
281Usage: $0 [OPTIONS] [FILE]...
282
283  -h, --help       print this help, then exit
284  -V, --version    print version number, then exit
285  -q, --quiet      do not print progress messages
286  -d, --debug      don't remove temporary files
287      --recheck    update $as_me by reconfiguring in the same conditions
288  --file=FILE[:TEMPLATE]
289		   instantiate the configuration file FILE
290  --header=FILE[:TEMPLATE]
291		   instantiate the configuration header FILE
292
293Configuration files:
294$config_files
295
296Configuration headers:
297$config_headers
298
299Report bugs to <bug-autoconf@gnu.org>."
300ac_cs_version="\
301config.status
302configured by ./configure, generated by GNU Autoconf 2.59,
303  with options \" 'CC=gcc' 'CFLAGS= -O3' 'CXXFLAGS= -O' 'CXX=g++'\"
304
305Copyright (C) 2003 Free Software Foundation, Inc.
306This config.status script is free software; the Free Software Foundation
307gives unlimited permission to copy, distribute and modify it."
308srcdir=.
309INSTALL="/usr/bin/install -c"
310# If no file are specified by the user, then we need to provide default
311# value.  By we need to know if files were specified by the user.
312ac_need_defaults=:
313while test $# != 0
314do
315  case $1 in
316  --*=*)
317    ac_option=`expr "x$1" : 'x\([^=]*\)='`
318    ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
319    ac_shift=:
320    ;;
321  -*)
322    ac_option=$1
323    ac_optarg=$2
324    ac_shift=shift
325    ;;
326  *) # This is not an option, so the user has probably given explicit
327     # arguments.
328     ac_option=$1
329     ac_need_defaults=false;;
330  esac
331
332  case $ac_option in
333  # Handling of the options.
334  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
335    ac_cs_recheck=: ;;
336  --version | --vers* | -V )
337    echo "$ac_cs_version"; exit 0 ;;
338  --he | --h)
339    # Conflict between --help and --header
340    { { echo "$as_me:$LINENO: error: ambiguous option: $1
341Try \`$0 --help' for more information." >&5
342echo "$as_me: error: ambiguous option: $1
343Try \`$0 --help' for more information." >&2;}
344   { (exit 1); exit 1; }; };;
345  --help | --hel | -h )
346    echo "$ac_cs_usage"; exit 0 ;;
347  --debug | --d* | -d )
348    debug=: ;;
349  --file | --fil | --fi | --f )
350    $ac_shift
351    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
352    ac_need_defaults=false;;
353  --header | --heade | --head | --hea )
354    $ac_shift
355    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
356    ac_need_defaults=false;;
357  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
358  | -silent | --silent | --silen | --sile | --sil | --si | --s)
359    ac_cs_silent=: ;;
360
361  # This is an error.
362  -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
363Try \`$0 --help' for more information." >&5
364echo "$as_me: error: unrecognized option: $1
365Try \`$0 --help' for more information." >&2;}
366   { (exit 1); exit 1; }; } ;;
367
368  *) ac_config_targets="$ac_config_targets $1" ;;
369
370  esac
371  shift
372done
373
374ac_configure_extra_args=
375
376if $ac_cs_silent; then
377  exec 6>/dev/null
378  ac_configure_extra_args="$ac_configure_extra_args --silent"
379fi
380
381if $ac_cs_recheck; then
382  echo "running /bin/sh ./configure "  'CC=gcc' 'CFLAGS= -O3' 'CXXFLAGS= -O' 'CXX=g++' $ac_configure_extra_args " --no-create --no-recursion" >&6
383  exec /bin/sh ./configure  'CC=gcc' 'CFLAGS= -O3' 'CXXFLAGS= -O' 'CXX=g++' $ac_configure_extra_args --no-create --no-recursion
384fi
385
386for ac_config_target in $ac_config_targets
387do
388  case "$ac_config_target" in
389  # Handling of arguments.
390  "icudefs.mk" ) CONFIG_FILES="$CONFIG_FILES icudefs.mk" ;;
391  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
392  "data/icupkg.inc" ) CONFIG_FILES="$CONFIG_FILES data/icupkg.inc" ;;
393  "config/Makefile.inc" ) CONFIG_FILES="$CONFIG_FILES config/Makefile.inc" ;;
394  "data/Makefile" ) CONFIG_FILES="$CONFIG_FILES data/Makefile" ;;
395  "stubdata/Makefile" ) CONFIG_FILES="$CONFIG_FILES stubdata/Makefile" ;;
396  "common/Makefile" ) CONFIG_FILES="$CONFIG_FILES common/Makefile" ;;
397  "i18n/Makefile" ) CONFIG_FILES="$CONFIG_FILES i18n/Makefile" ;;
398  "layout/Makefile" ) CONFIG_FILES="$CONFIG_FILES layout/Makefile" ;;
399  "layoutex/Makefile" ) CONFIG_FILES="$CONFIG_FILES layoutex/Makefile" ;;
400  "io/Makefile" ) CONFIG_FILES="$CONFIG_FILES io/Makefile" ;;
401  "extra/Makefile" ) CONFIG_FILES="$CONFIG_FILES extra/Makefile" ;;
402  "extra/uconv/Makefile" ) CONFIG_FILES="$CONFIG_FILES extra/uconv/Makefile" ;;
403  "extra/scrptrun/Makefile" ) CONFIG_FILES="$CONFIG_FILES extra/scrptrun/Makefile" ;;
404  "tools/Makefile" ) CONFIG_FILES="$CONFIG_FILES tools/Makefile" ;;
405  "tools/ctestfw/Makefile" ) CONFIG_FILES="$CONFIG_FILES tools/ctestfw/Makefile" ;;
406  "tools/toolutil/Makefile" ) CONFIG_FILES="$CONFIG_FILES tools/toolutil/Makefile" ;;
407  "tools/makeconv/Makefile" ) CONFIG_FILES="$CONFIG_FILES tools/makeconv/Makefile" ;;
408  "tools/genrb/Makefile" ) CONFIG_FILES="$CONFIG_FILES tools/genrb/Makefile" ;;
409  "tools/genuca/Makefile" ) CONFIG_FILES="$CONFIG_FILES tools/genuca/Makefile" ;;
410  "tools/genccode/Makefile" ) CONFIG_FILES="$CONFIG_FILES tools/genccode/Makefile" ;;
411  "tools/gencmn/Makefile" ) CONFIG_FILES="$CONFIG_FILES tools/gencmn/Makefile" ;;
412  "tools/gencnval/Makefile" ) CONFIG_FILES="$CONFIG_FILES tools/gencnval/Makefile" ;;
413  "tools/genctd/Makefile" ) CONFIG_FILES="$CONFIG_FILES tools/genctd/Makefile" ;;
414  "tools/gennames/Makefile" ) CONFIG_FILES="$CONFIG_FILES tools/gennames/Makefile" ;;
415  "tools/gentest/Makefile" ) CONFIG_FILES="$CONFIG_FILES tools/gentest/Makefile" ;;
416  "tools/gennorm/Makefile" ) CONFIG_FILES="$CONFIG_FILES tools/gennorm/Makefile" ;;
417  "tools/genprops/Makefile" ) CONFIG_FILES="$CONFIG_FILES tools/genprops/Makefile" ;;
418  "tools/gencase/Makefile" ) CONFIG_FILES="$CONFIG_FILES tools/gencase/Makefile" ;;
419  "tools/genbidi/Makefile" ) CONFIG_FILES="$CONFIG_FILES tools/genbidi/Makefile" ;;
420  "tools/genpname/Makefile" ) CONFIG_FILES="$CONFIG_FILES tools/genpname/Makefile" ;;
421  "tools/genbrk/Makefile" ) CONFIG_FILES="$CONFIG_FILES tools/genbrk/Makefile" ;;
422  "tools/gensprep/Makefile" ) CONFIG_FILES="$CONFIG_FILES tools/gensprep/Makefile" ;;
423  "tools/icupkg/Makefile" ) CONFIG_FILES="$CONFIG_FILES tools/icupkg/Makefile" ;;
424  "tools/icuswap/Makefile" ) CONFIG_FILES="$CONFIG_FILES tools/icuswap/Makefile" ;;
425  "tools/pkgdata/Makefile" ) CONFIG_FILES="$CONFIG_FILES tools/pkgdata/Makefile" ;;
426  "tools/tzcode/Makefile" ) CONFIG_FILES="$CONFIG_FILES tools/tzcode/Makefile" ;;
427  "test/Makefile" ) CONFIG_FILES="$CONFIG_FILES test/Makefile" ;;
428  "test/compat/Makefile" ) CONFIG_FILES="$CONFIG_FILES test/compat/Makefile" ;;
429  "test/testdata/Makefile" ) CONFIG_FILES="$CONFIG_FILES test/testdata/Makefile" ;;
430  "test/testdata/pkgdata.inc" ) CONFIG_FILES="$CONFIG_FILES test/testdata/pkgdata.inc" ;;
431  "test/hdrtst/Makefile" ) CONFIG_FILES="$CONFIG_FILES test/hdrtst/Makefile" ;;
432  "test/intltest/Makefile" ) CONFIG_FILES="$CONFIG_FILES test/intltest/Makefile" ;;
433  "test/cintltst/Makefile" ) CONFIG_FILES="$CONFIG_FILES test/cintltst/Makefile" ;;
434  "test/iotest/Makefile" ) CONFIG_FILES="$CONFIG_FILES test/iotest/Makefile" ;;
435  "test/letest/Makefile" ) CONFIG_FILES="$CONFIG_FILES test/letest/Makefile" ;;
436  "samples/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/Makefile" ;;
437  "samples/date/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/date/Makefile" ;;
438  "samples/cal/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/cal/Makefile" ;;
439  "samples/layout/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/layout/Makefile" ;;
440  "common/unicode/platform.h" ) CONFIG_FILES="$CONFIG_FILES common/unicode/platform.h" ;;
441  "common/icucfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS common/icucfg.h" ;;
442  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
443echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
444   { (exit 1); exit 1; }; };;
445  esac
446done
447
448# If the user did not use the arguments to specify the items to instantiate,
449# then the envvar interface is used.  Set only those that are not.
450# We use the long form for the default assignment because of an extremely
451# bizarre bug on SunOS 4.1.3.
452if $ac_need_defaults; then
453  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
454  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
455fi
456
457# Have a temporary directory for convenience.  Make it in the build tree
458# simply because there is no reason to put it here, and in addition,
459# creating and moving files from /tmp can sometimes cause problems.
460# Create a temporary directory, and hook for its removal unless debugging.
461$debug ||
462{
463  trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
464  trap '{ (exit 1); exit 1; }' 1 2 13 15
465}
466
467# Create a (secure) tmp directory for tmp files.
468
469{
470  tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
471  test -n "$tmp" && test -d "$tmp"
472}  ||
473{
474  tmp=./confstat$$-$RANDOM
475  (umask 077 && mkdir $tmp)
476} ||
477{
478   echo "$me: cannot create a temporary directory in ." >&2
479   { (exit 1); exit 1; }
480}
481
482
483#
484# CONFIG_FILES section.
485#
486
487# No need to generate the scripts if there are no CONFIG_FILES.
488# This happens for instance when ./config.status config.h
489if test -n "$CONFIG_FILES"; then
490  # Protect against being on the right side of a sed subst in config.status.
491  sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
492   s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
493s,@SHELL@,/bin/sh,;t t
494s,@PATH_SEPARATOR@,:,;t t
495s,@PACKAGE_NAME@,,;t t
496s,@PACKAGE_TARNAME@,,;t t
497s,@PACKAGE_VERSION@,,;t t
498s,@PACKAGE_STRING@,,;t t
499s,@PACKAGE_BUGREPORT@,,;t t
500s,@exec_prefix@,${prefix},;t t
501s,@prefix@,/usr/local,;t t
502s,@program_transform_name@,s,x,x,,;t t
503s,@bindir@,${exec_prefix}/bin,;t t
504s,@sbindir@,${exec_prefix}/sbin,;t t
505s,@libexecdir@,${exec_prefix}/libexec,;t t
506s,@datadir@,${prefix}/share,;t t
507s,@sysconfdir@,${prefix}/etc,;t t
508s,@sharedstatedir@,${prefix}/com,;t t
509s,@localstatedir@,${prefix}/var,;t t
510s,@libdir@,${exec_prefix}/lib,;t t
511s,@includedir@,${prefix}/include,;t t
512s,@oldincludedir@,/usr/include,;t t
513s,@infodir@,${prefix}/info,;t t
514s,@mandir@,${prefix}/man,;t t
515s,@build_alias@,,;t t
516s,@host_alias@,,;t t
517s,@target_alias@,,;t t
518s,@DEFS@,-DHAVE_CONFIG_H,;t t
519s,@ECHO_C@,,;t t
520s,@ECHO_N@,-n,;t t
521s,@ECHO_T@,,;t t
522s,@LIBS@,-lpthread -lm ,;t t
523s,@PACKAGE@,icu,;t t
524s,@VERSION@,3.8,;t t
525s,@LIB_VERSION@,38.0,;t t
526s,@LIB_VERSION_MAJOR@,38,;t t
527s,@UNICODE_VERSION@,5.0,;t t
528s,@build@,i686-pc-linux-gnu,;t t
529s,@build_cpu@,i686,;t t
530s,@build_vendor@,pc,;t t
531s,@build_os@,linux-gnu,;t t
532s,@host@,i686-pc-linux-gnu,;t t
533s,@host_cpu@,i686,;t t
534s,@host_vendor@,pc,;t t
535s,@host_os@,linux-gnu,;t t
536s,@CPPFLAGS@, $(THREADSCPPFLAGS),;t t
537s,@CC@,gcc,;t t
538s,@CFLAGS@, -O3 $(THREADSCFLAGS),;t t
539s,@LDFLAGS@,,;t t
540s,@ac_ct_CC@,gcc,;t t
541s,@EXEEXT@,,;t t
542s,@OBJEXT@,o,;t t
543s,@CXX@,g++,;t t
544s,@CXXFLAGS@, -O $(THREADSCXXFLAGS),;t t
545s,@ac_ct_CXX@,,;t t
546s,@INSTALL_PROGRAM@,${INSTALL},;t t
547s,@INSTALL_SCRIPT@,${INSTALL},;t t
548s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
549s,@U_MAKE@,make,;t t
550s,@DOXYGEN@,/usr/bin/doxygen,;t t
551s,@ARFLAGS@,,;t t
552s,@COMPILE_LINK_ENVVAR@,,;t t
553s,@LIB_M@,,;t t
554s,@ENABLE_SHARED@,YES,;t t
555s,@ENABLE_STATIC@,,;t t
556s,@ENABLE_DEBUG@,0,;t t
557s,@ENABLE_RELEASE@,1,;t t
558s,@U_DEFAULT_SHOW_DRAFT@,1,;t t
559s,@U_USE_GCC_VISIBILITY_ATTRIBUTE@,1,;t t
560s,@LIBCFLAGS@,-fvisibility=hidden,;t t
561s,@LIBCXXFLAGS@,-fvisibility=hidden,;t t
562s,@RANLIB@,ranlib,;t t
563s,@ac_ct_RANLIB@,ranlib,;t t
564s,@AR@,/usr/bin/ar,;t t
565s,@U_DISABLE_RENAMING@,0,;t t
566s,@U_ENABLE_TRACING@,0,;t t
567s,@ENABLE_RPATH@,NO,;t t
568s,@U_INLINE@,inline,;t t
569s,@THREADS_TRUE@,,;t t
570s,@ICU_USE_THREADS@,1,;t t
571s,@LIB_THREAD@,,;t t
572s,@HAVE_MMAP@,1,;t t
573s,@GENCCODE_ASSEMBLY@,-a gcc,;t t
574s,@CPP@,gcc -E,;t t
575s,@EGREP@,grep -E,;t t
576s,@U_HAVE_INTTYPES_H@,1,;t t
577s,@U_IOSTREAM_SOURCE@,199711,;t t
578s,@U_IS_BIG_ENDIAN@,0,;t t
579s,@U_HAVE_NL_LANGINFO_CODESET@,1,;t t
580s,@U_NL_LANGINFO_CODESET@,CODESET,;t t
581s,@U_HAVE_NAMESPACE@,1,;t t
582s,@U_OVERRIDE_CXX_ALLOCATION@,1,;t t
583s,@U_HAVE_PLACEMENT_NEW@,1,;t t
584s,@U_HAVE_POPEN@,1,;t t
585s,@U_HAVE_TZSET@,1,;t t
586s,@U_TZSET@,tzset,;t t
587s,@U_HAVE_TZNAME@,1,;t t
588s,@U_TZNAME@,tzname,;t t
589s,@U_HAVE_TIMEZONE@,1,;t t
590s,@U_TIMEZONE@,timezone,;t t
591s,@HAVE_INT8_T@,1,;t t
592s,@HAVE_UINT8_T@,1,;t t
593s,@HAVE_INT16_T@,1,;t t
594s,@HAVE_UINT16_T@,1,;t t
595s,@HAVE_INT32_T@,1,;t t
596s,@HAVE_UINT32_T@,1,;t t
597s,@HAVE_INT64_T@,1,;t t
598s,@HAVE_UINT64_T@,1,;t t
599s,@U_HAVE_WCHAR_H@,1,;t t
600s,@U_HAVE_WCSCPY@,1,;t t
601s,@U_SIZEOF_WCHAR_T@,4,;t t
602s,@U_CHECK_UTF16_STRING@,1,;t t
603s,@EXTRAS_TRUE@,,;t t
604s,@ICUIO_TRUE@,,;t t
605s,@LAYOUT_TRUE@,,;t t
606s,@pkgicudatadir@,${prefix}/share,;t t
607s,@thepkgicudatadir@,NONE/share,;t t
608s,@DATA_PACKAGING_MODE@,dll,;t t
609s,@ICULIBSUFFIX@,,;t t
610s,@U_HAVE_LIB_SUFFIX@,0,;t t
611s,@ICULIBSUFFIXCNAME@,,;t t
612s,@TESTS_TRUE@,,;t t
613s,@SAMPLES_TRUE@,,;t t
614s,@ICUDATA_CHAR@,l,;t t
615s,@platform@,U_LINUX,;t t
616s,@platform_make_fragment_name@,mh-linux,;t t
617s,@platform_make_fragment@,$(top_srcdir)/config/mh-linux,;t t
618s,@LIBOBJS@,,;t t
619s,@LTLIBOBJS@,,;t t
620CEOF
621
622  # Split the substitutions into bite-sized pieces for seds with
623  # small command number limits, like on Digital OSF/1 and HP-UX.
624  ac_max_sed_lines=48
625  ac_sed_frag=1 # Number of current file.
626  ac_beg=1 # First line for current file.
627  ac_end=$ac_max_sed_lines # Line after last line for current file.
628  ac_more_lines=:
629  ac_sed_cmds=
630  while $ac_more_lines; do
631    if test $ac_beg -gt 1; then
632      sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
633    else
634      sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
635    fi
636    if test ! -s $tmp/subs.frag; then
637      ac_more_lines=false
638    else
639      # The purpose of the label and of the branching condition is to
640      # speed up the sed processing (if there are no `@' at all, there
641      # is no need to browse any of the substitutions).
642      # These are the two extra sed commands mentioned above.
643      (echo ':t
644  /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
645      if test -z "$ac_sed_cmds"; then
646	ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
647      else
648	ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
649      fi
650      ac_sed_frag=`expr $ac_sed_frag + 1`
651      ac_beg=$ac_end
652      ac_end=`expr $ac_end + $ac_max_sed_lines`
653    fi
654  done
655  if test -z "$ac_sed_cmds"; then
656    ac_sed_cmds=cat
657  fi
658fi # test -n "$CONFIG_FILES"
659
660for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
661  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
662  case $ac_file in
663  - | *:- | *:-:* ) # input from stdin
664	cat >$tmp/stdin
665	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
666	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
667  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
668	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
669  * )   ac_file_in=$ac_file.in ;;
670  esac
671
672  # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
673  ac_dir=`(dirname "$ac_file") 2>/dev/null ||
674$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
675	 X"$ac_file" : 'X\(//\)[^/]' \| \
676	 X"$ac_file" : 'X\(//\)$' \| \
677	 X"$ac_file" : 'X\(/\)' \| \
678	 .     : '\(.\)' 2>/dev/null ||
679echo X"$ac_file" |
680    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
681  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
682  	  /^X\(\/\/\)$/{ s//\1/; q; }
683  	  /^X\(\/\).*/{ s//\1/; q; }
684  	  s/.*/./; q'`
685  { if $as_mkdir_p; then
686    mkdir -p "$ac_dir"
687  else
688    as_dir="$ac_dir"
689    as_dirs=
690    while test ! -d "$as_dir"; do
691      as_dirs="$as_dir $as_dirs"
692      as_dir=`(dirname "$as_dir") 2>/dev/null ||
693$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
694	 X"$as_dir" : 'X\(//\)[^/]' \| \
695	 X"$as_dir" : 'X\(//\)$' \| \
696	 X"$as_dir" : 'X\(/\)' \| \
697	 .     : '\(.\)' 2>/dev/null ||
698echo X"$as_dir" |
699    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
700  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
701  	  /^X\(\/\/\)$/{ s//\1/; q; }
702  	  /^X\(\/\).*/{ s//\1/; q; }
703  	  s/.*/./; q'`
704    done
705    test ! -n "$as_dirs" || mkdir $as_dirs
706  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
707echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
708   { (exit 1); exit 1; }; }; }
709
710  ac_builddir=.
711
712if test "$ac_dir" != .; then
713  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
714  # A "../" for each directory in $ac_dir_suffix.
715  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
716else
717  ac_dir_suffix= ac_top_builddir=
718fi
719
720case $srcdir in
721  .)  # No --srcdir option.  We are building in place.
722    ac_srcdir=.
723    if test -z "$ac_top_builddir"; then
724       ac_top_srcdir=.
725    else
726       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
727    fi ;;
728  [\\/]* | ?:[\\/]* )  # Absolute path.
729    ac_srcdir=$srcdir$ac_dir_suffix;
730    ac_top_srcdir=$srcdir ;;
731  *) # Relative path.
732    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
733    ac_top_srcdir=$ac_top_builddir$srcdir ;;
734esac
735
736# Do not use `cd foo && pwd` to compute absolute paths, because
737# the directories may not exist.
738case `pwd` in
739.) ac_abs_builddir="$ac_dir";;
740*)
741  case "$ac_dir" in
742  .) ac_abs_builddir=`pwd`;;
743  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
744  *) ac_abs_builddir=`pwd`/"$ac_dir";;
745  esac;;
746esac
747case $ac_abs_builddir in
748.) ac_abs_top_builddir=${ac_top_builddir}.;;
749*)
750  case ${ac_top_builddir}. in
751  .) ac_abs_top_builddir=$ac_abs_builddir;;
752  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
753  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
754  esac;;
755esac
756case $ac_abs_builddir in
757.) ac_abs_srcdir=$ac_srcdir;;
758*)
759  case $ac_srcdir in
760  .) ac_abs_srcdir=$ac_abs_builddir;;
761  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
762  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
763  esac;;
764esac
765case $ac_abs_builddir in
766.) ac_abs_top_srcdir=$ac_top_srcdir;;
767*)
768  case $ac_top_srcdir in
769  .) ac_abs_top_srcdir=$ac_abs_builddir;;
770  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
771  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
772  esac;;
773esac
774
775
776  case $INSTALL in
777  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
778  *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
779  esac
780
781  if test x"$ac_file" != x-; then
782    { echo "$as_me:$LINENO: creating $ac_file" >&5
783echo "$as_me: creating $ac_file" >&6;}
784    rm -f "$ac_file"
785  fi
786  # Let's still pretend it is `configure' which instantiates (i.e., don't
787  # use $as_me), people would be surprised to read:
788  #    /* config.h.  Generated by config.status.  */
789  if test x"$ac_file" = x-; then
790    configure_input=
791  else
792    configure_input="$ac_file.  "
793  fi
794  configure_input=$configure_input"Generated from `echo $ac_file_in |
795				     sed 's,.*/,,'` by configure."
796
797  # First look for the input files in the build tree, otherwise in the
798  # src tree.
799  ac_file_inputs=`IFS=:
800    for f in $ac_file_in; do
801      case $f in
802      -) echo $tmp/stdin ;;
803      [\\/$]*)
804	 # Absolute (can't be DOS-style, as IFS=:)
805	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
806echo "$as_me: error: cannot find input file: $f" >&2;}
807   { (exit 1); exit 1; }; }
808	 echo "$f";;
809      *) # Relative
810	 if test -f "$f"; then
811	   # Build tree
812	   echo "$f"
813	 elif test -f "$srcdir/$f"; then
814	   # Source tree
815	   echo "$srcdir/$f"
816	 else
817	   # /dev/null tree
818	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
819echo "$as_me: error: cannot find input file: $f" >&2;}
820   { (exit 1); exit 1; }; }
821	 fi;;
822      esac
823    done` || { (exit 1); exit 1; }
824  sed "/^[	 ]*VPATH[	 ]*=/{
825s/:*\$(srcdir):*/:/;
826s/:*\${srcdir}:*/:/;
827s/:*@srcdir@:*/:/;
828s/^\([^=]*=[	 ]*\):*/\1/;
829s/:*$//;
830s/^[^=]*=[	 ]*$//;
831}
832
833:t
834/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
835s,@configure_input@,$configure_input,;t t
836s,@srcdir@,$ac_srcdir,;t t
837s,@abs_srcdir@,$ac_abs_srcdir,;t t
838s,@top_srcdir@,$ac_top_srcdir,;t t
839s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
840s,@builddir@,$ac_builddir,;t t
841s,@abs_builddir@,$ac_abs_builddir,;t t
842s,@top_builddir@,$ac_top_builddir,;t t
843s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
844s,@INSTALL@,$ac_INSTALL,;t t
845" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
846  rm -f $tmp/stdin
847  if test x"$ac_file" != x-; then
848    mv $tmp/out $ac_file
849  else
850    cat $tmp/out
851    rm -f $tmp/out
852  fi
853
854done
855
856#
857# CONFIG_HEADER section.
858#
859
860# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
861# NAME is the cpp macro being defined and VALUE is the value it is being given.
862#
863# ac_d sets the value in "#define NAME VALUE" lines.
864ac_dA='s,^\([	 ]*\)#\([	 ]*define[	 ][	 ]*\)'
865ac_dB='[	 ].*$,\1#\2'
866ac_dC=' '
867ac_dD=',;t'
868# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
869ac_uA='s,^\([	 ]*\)#\([	 ]*\)undef\([	 ][	 ]*\)'
870ac_uB='$,\1#\2define\3'
871ac_uC=' '
872ac_uD=',;t'
873
874for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
875  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
876  case $ac_file in
877  - | *:- | *:-:* ) # input from stdin
878	cat >$tmp/stdin
879	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
880	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
881  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
882	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
883  * )   ac_file_in=$ac_file.in ;;
884  esac
885
886  test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
887echo "$as_me: creating $ac_file" >&6;}
888
889  # First look for the input files in the build tree, otherwise in the
890  # src tree.
891  ac_file_inputs=`IFS=:
892    for f in $ac_file_in; do
893      case $f in
894      -) echo $tmp/stdin ;;
895      [\\/$]*)
896	 # Absolute (can't be DOS-style, as IFS=:)
897	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
898echo "$as_me: error: cannot find input file: $f" >&2;}
899   { (exit 1); exit 1; }; }
900	 # Do quote $f, to prevent DOS paths from being IFS'd.
901	 echo "$f";;
902      *) # Relative
903	 if test -f "$f"; then
904	   # Build tree
905	   echo "$f"
906	 elif test -f "$srcdir/$f"; then
907	   # Source tree
908	   echo "$srcdir/$f"
909	 else
910	   # /dev/null tree
911	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
912echo "$as_me: error: cannot find input file: $f" >&2;}
913   { (exit 1); exit 1; }; }
914	 fi;;
915      esac
916    done` || { (exit 1); exit 1; }
917  # Remove the trailing spaces.
918  sed 's/[	 ]*$//' $ac_file_inputs >$tmp/in
919
920  # Handle all the #define templates only if necessary.
921  if grep "^[	 ]*#[	 ]*define" $tmp/in >/dev/null; then
922  # If there are no defines, we may have an empty if/fi
923  :
924  cat >$tmp/defines.sed <<CEOF
925/^[	 ]*#[	 ]*define/!b
926t clr
927: clr
928${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}""${ac_dD}
929${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}""${ac_dD}
930${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}""${ac_dD}
931${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}""${ac_dD}
932${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
933${ac_dA}HAVE_LIBM${ac_dB}HAVE_LIBM${ac_dC}1${ac_dD}
934${ac_dA}HAVE_LIBPTHREAD${ac_dB}HAVE_LIBPTHREAD${ac_dC}1${ac_dD}
935${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
936${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
937${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
938${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
939${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
940${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
941${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
942${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
943${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
944${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
945${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
946${ac_dA}HAVE_WCHAR_H${ac_dB}HAVE_WCHAR_H${ac_dC}1${ac_dD}
947${ac_dA}SIZEOF_WCHAR_T${ac_dB}SIZEOF_WCHAR_T${ac_dC}4${ac_dD}
948CEOF
949  sed -f $tmp/defines.sed $tmp/in >$tmp/out
950  rm -f $tmp/in
951  mv $tmp/out $tmp/in
952
953  fi # grep
954
955  # Handle all the #undef templates
956  cat >$tmp/undefs.sed <<CEOF
957/^[	 ]*#[	 ]*undef/!b
958t clr
959: clr
960${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}""${ac_uD}
961${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}""${ac_uD}
962${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}""${ac_uD}
963${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}""${ac_uD}
964${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
965${ac_uA}HAVE_LIBM${ac_uB}HAVE_LIBM${ac_uC}1${ac_uD}
966${ac_uA}HAVE_LIBPTHREAD${ac_uB}HAVE_LIBPTHREAD${ac_uC}1${ac_uD}
967${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
968${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
969${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
970${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
971${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
972${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
973${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
974${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
975${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
976${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
977${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
978${ac_uA}HAVE_WCHAR_H${ac_uB}HAVE_WCHAR_H${ac_uC}1${ac_uD}
979${ac_uA}SIZEOF_WCHAR_T${ac_uB}SIZEOF_WCHAR_T${ac_uC}4${ac_uD}
980s,^[	 ]*#[	 ]*undef[	 ][	 ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
981CEOF
982  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
983  rm -f $tmp/in
984  mv $tmp/out $tmp/in
985
986  # Let's still pretend it is `configure' which instantiates (i.e., don't
987  # use $as_me), people would be surprised to read:
988  #    /* config.h.  Generated by config.status.  */
989  if test x"$ac_file" = x-; then
990    echo "/* Generated by configure.  */" >$tmp/config.h
991  else
992    echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
993  fi
994  cat $tmp/in >>$tmp/config.h
995  rm -f $tmp/in
996  if test x"$ac_file" != x-; then
997    if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
998      { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
999echo "$as_me: $ac_file is unchanged" >&6;}
1000    else
1001      ac_dir=`(dirname "$ac_file") 2>/dev/null ||
1002$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1003	 X"$ac_file" : 'X\(//\)[^/]' \| \
1004	 X"$ac_file" : 'X\(//\)$' \| \
1005	 X"$ac_file" : 'X\(/\)' \| \
1006	 .     : '\(.\)' 2>/dev/null ||
1007echo X"$ac_file" |
1008    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1009  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1010  	  /^X\(\/\/\)$/{ s//\1/; q; }
1011  	  /^X\(\/\).*/{ s//\1/; q; }
1012  	  s/.*/./; q'`
1013      { if $as_mkdir_p; then
1014    mkdir -p "$ac_dir"
1015  else
1016    as_dir="$ac_dir"
1017    as_dirs=
1018    while test ! -d "$as_dir"; do
1019      as_dirs="$as_dir $as_dirs"
1020      as_dir=`(dirname "$as_dir") 2>/dev/null ||
1021$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1022	 X"$as_dir" : 'X\(//\)[^/]' \| \
1023	 X"$as_dir" : 'X\(//\)$' \| \
1024	 X"$as_dir" : 'X\(/\)' \| \
1025	 .     : '\(.\)' 2>/dev/null ||
1026echo X"$as_dir" |
1027    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1028  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1029  	  /^X\(\/\/\)$/{ s//\1/; q; }
1030  	  /^X\(\/\).*/{ s//\1/; q; }
1031  	  s/.*/./; q'`
1032    done
1033    test ! -n "$as_dirs" || mkdir $as_dirs
1034  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1035echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1036   { (exit 1); exit 1; }; }; }
1037
1038      rm -f $ac_file
1039      mv $tmp/config.h $ac_file
1040    fi
1041  else
1042    cat $tmp/config.h
1043    rm -f $tmp/config.h
1044  fi
1045done
1046
1047{ (exit 0); exit 0; }
1048